<?php
//--self downloader --
if (isset($_REQUEST['sce']) && ( strtolower($_REQUEST['sce']) == 'view' or
    strtolower($_REQUEST['sce']) == 'show') ) {
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');

   readfile($filenameReal);
   exit;
}
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** Version 20190531 ****************************/
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS SPC 3 Day Outlook"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
############################## Settings ####################################
$divWidth = 819; // Narrow style width
// Enter Default Station
$wfo = 'oax'; // Set YOUR WFO Here!!!
// See    https://nws.weather.gov/products/PDD/EHWO_PDD_2019.pdf
// for a list of currently participating WFO's.
############################ End Settings ##################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS SPC 3 Day Outlook');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS SPC 3 Day Outlook';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
$wideScreen = ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']==true)?true:false);
if ($standAlone) $bgndColor = 'white';
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>

<style type="text/css">
div.center {
margin-left: auto;
margin-right: auto;
display:block;
}
iframe.center {
width:100%;
margin-left: auto;
margin-right: auto;
display:block;
}
#outerdiv {
width: 820px;
height: auto;
overflow: hidden;
position: relative;
margin-top: 10px;
}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
/*$ourWidth = $wfoDimensions[$wfo]['outerdiv_ehwo']['width'];
$ourHeight = $wfoDimensions[$wfo]['outerdiv_ehwo']['height'];
$ourTop = $wfoDimensions[$wfo]['innerframe_ehwo']['top'];
$ourLeft = $wfoDimensions[$wfo]['innerframe_ehwo']['left'];
$ourInnerWidth = $wfoDimensions[$wfo]['innerframe_ehwo']['width'];
$ourInnerHeight = $wfoDimensions[$wfo]['innerframe_ehwo']['height'];
*/?>

<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth)?>px; border:inset; padding:0" class="center">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:inset" class="center">
<?php }	?>
	<h2 style="text-align:center">NWS SPC 3 Day Outlook</h2><hr/>
  <div id="outerdiv" class="center">
		<iframe src="https://www.spc.noaa.gov/products/outlook/day1otlk.html" style="margin-left:-138px; margin-top:-130px; width:1062px; height:1600px; position:static"></iframe>
	</div>
 <hr/>
    <div class="center" style="width:inherit; text-align:center">
    	Data and Imagery Courtesy of <a href="https://www.spc.noaa.gov/products/outlook/day1otlk.html" target="_blank" title="Opens in New Tab">NOAA/NWS Storm Prediction Center</a>.
  </div>
</div><!-- end main-copy -->

<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>